Bug 11782 - "trustdom_list_done: Got invalid trustdom response" message should be avoided
"trustdom_list_done: Got invalid trustdom response" message should be avoided
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.4.0rc4
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 11:25 UTC by Stefan Metzmacher
Modified: 2016-03-30 08:05 UTC (History)
2 users (show)

See Also:


Attachments
Patch for v4-4-test (1.21 KB, patch)
2016-03-14 01:45 UTC, Stefan Metzmacher
gd: review+
Details
Patch for v4-3-test (1.21 KB, patch)
2016-03-14 01:46 UTC, Stefan Metzmacher
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2016-03-10 11:25:11 UTC
Every trust enumeration triggers a log message like this:

"trustdom_list_done: Got invalid trustdom response"

This happens because trustdom_list_done gets one '\0' too much
and tries to parse an empty string in the last round.
Comment 1 Stefan Metzmacher 2016-03-14 01:45:58 UTC
Created attachment 11914 [details]
Patch for v4-4-test
Comment 2 Stefan Metzmacher 2016-03-14 01:46:28 UTC
Created attachment 11915 [details]
Patch for v4-3-test
Comment 3 Guenther Deschner 2016-03-14 12:00:54 UTC
Comment on attachment 11914 [details]
Patch for v4-4-test

LGTM
Comment 4 Guenther Deschner 2016-03-14 12:01:10 UTC
Comment on attachment 11915 [details]
Patch for v4-3-test

LGTM
Comment 5 Guenther Deschner 2016-03-14 12:01:40 UTC
Karolin, please add to 4.3 and 4.4
Comment 6 Karolin Seeger 2016-03-21 10:22:52 UTC
(In reply to Guenther Deschner from comment #5)
Pushed to autobuild-v4-3-test and v4-4-test (included in 4.4.0rc5).
Comment 7 Karolin Seeger 2016-03-23 08:46:35 UTC
(In reply to Karolin Seeger from comment #6)
Re-trying autobuild-v4-3-test.
Comment 8 Karolin Seeger 2016-03-30 08:05:02 UTC
(In reply to Karolin Seeger from comment #7)
Pushed to v4-3-test.
Closing out bug report.

Thanks!